Rails.application.routes.draw do
  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    namespace :admin do
      resources :video_programs do
        collection do
        end
      end
    end

    resources :video_programs do
      collection do
        get ':slug_title-:uid', to: 'video_programs#show', as: :display
      end
    end
    get '/xhr/video_programs/file/:id/*f_name', to: 'video_programs#get_file', format: false

  end
  
end
