# encoding: utf-8
class VideoProgramCarouselImage

  include Mongoid::Document
  include Mongoid::Timestamps

  mount_uploader :file, AssetUploader

  field :description, localize: true

  belongs_to :video_programs
  def description_text
    Nokogiri::HTML(self.description.to_s).css("body").text() rescue ""
  end
end
