# encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "video_programs/version"
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
  env_pwd = ENV['PWD']
  app_path = File.expand_path(__dir__)
  require ::File.expand_path('app/helpers/bundler_helper.rb',  env_pwd)
  extend BundlerHelper
  puts "copy_template_modules"
  copy_template_modules(app_path, 'video_program')
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "video_programs"
  s.version     = VideoPrograms::VERSION
  s.authors     = ["Peter Chiu"]
  s.email       = ["naruto0426@rulingcom.com"]
  s.homepage    = "http://orbitek.co"
  s.summary     = "VideoProgram for Orbit"
  s.description = "VideoProgram for Orbit"
  s.license     = "MIT"
  s.metadata = {
  }

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
end
